Error while installing Alfresco-search-services 1.3

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Established Member

Error while installing Alfresco-search-services 1.3

Jump to solution

I am installing Alfresco community version 6.0.7 on Ubuntu 18.04 LTS with alfresco-search-services.

While installing alfresco-search-services in ubuntu 18.04 LTS when i am running the command:-

./solr start -a "-Dcreate.alfresco.defaults=alfresco,archive"

I am getting the error described below:-

Exception in thread "main" java.nio.file.AccessDeniedException: /home/dms/acs/alfresco-search-services/solr/server/../../logs/archived
at sun.nio.fs.UnixException.translateToIOException(UnixException.java:84)
at sun.nio.fs.UnixException.rethrowAsIOException(UnixException.java:102)
at sun.nio.fs.UnixException.rethrowAsIOException(UnixException.java:107)
at sun.nio.fs.UnixFileSystemProvider.createDirectory(UnixFileSystemProvider.java:384)
at java.nio.file.Files.createDirectory(Files.java:674)
at java.nio.file.Files.createAndCheckIsDirectory(Files.java:781)
at java.nio.file.Files.createDirectories(Files.java:767)
at org.apache.solr.util.SolrCLI$UtilsTool.archiveGcLogs(SolrCLI.java:3889)
at org.apache.solr.util.SolrCLI$UtilsTool.runTool(SolrCLI.java:3872)
at org.apache.solr.util.SolrCLI.main(SolrCLI.java:257)
Failed archiving old GC logs
Exception in thread "main" java.nio.file.AccessDeniedException: /home/dms/acs/alfresco-search-services/solr/server/../../logs/archived
at sun.nio.fs.UnixException.translateToIOException(UnixException.java:84)
at sun.nio.fs.UnixException.rethrowAsIOException(UnixException.java:102)
at sun.nio.fs.UnixException.rethrowAsIOException(UnixException.java:107)
at sun.nio.fs.UnixFileSystemProvider.createDirectory(UnixFileSystemProvider.java:384)
at java.nio.file.Files.createDirectory(Files.java:674)
at java.nio.file.Files.createAndCheckIsDirectory(Files.java:781)
at java.nio.file.Files.createDirectories(Files.java:767)
at org.apache.solr.util.SolrCLI$UtilsTool.archiveConsoleLogs(SolrCLI.java:3918)
at org.apache.solr.util.SolrCLI$UtilsTool.runTool(SolrCLI.java:3875)
at org.apache.solr.util.SolrCLI.main(SolrCLI.java:257)
Failed archiving old console logs

ERROR: Logs directory ../../logs is not writable. Exiting

 

 

 

What is the error.

1 Solution

Accepted Solutions
Highlighted
Established Member

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

I solved the issue instead running the command  :

./solr/bin/solr start -a "-Dcreate.alfresco.defaults=alfresco,archive"
 
Run this command:  ./solr/bin/solr start -force "-Dcreate.alfresco.defaults=alfresco,archive"
 
It solves my issue.

View solution in original post

10 Replies
Highlighted
Customer

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

Maybe a permissions error ? Is dms user able to write in this path ? Maybe some files have root owner.

Regards.

--C.

Highlighted
Established Member

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

When i am  logged in as su and when running the command as su login it is giving the error:

 

root@dmsjupro:/home/dms/acs/alfresco-search-services# ./solr/bin/solr start -a "-Dcreate.alfresco.defaults=alfresco,archive"
WARNING: Starting Solr as the root user is a security risk and not considered best practice. Exiting.
Please consult the Reference Guide. To override this check, start with argument '-force'

 

 

Please help.

Highlighted
Customer

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

OK, try to stop the process and change all perms to dms "sudo chown -R dms: /home/dms/acs/"

Then restart solr with dms user, not root.

Regards.

--C.

Highlighted
Established Member

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

Sir, I am getting this on running above command

chown: missing operand after ‘/home/dms/acs/’
Try 'chown --help' for more information.
root@dmsjupro:/# sudo chown -R dms: /home/dms/acs/
chown: invalid spec: ‘dms:’
root@dmsjupro:/#

Highlighted
Established Member

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

I solved the issue instead running the command  :

./solr/bin/solr start -a "-Dcreate.alfresco.defaults=alfresco,archive"
 
Run this command:  ./solr/bin/solr start -force "-Dcreate.alfresco.defaults=alfresco,archive"
 
It solves my issue.

View solution in original post

Highlighted
Community Manager
Community Manager

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

Hi @akash251998,

Well done for resolving your issue & thanks for updating us on how you did it - really helpful.

Cheers, 

Digital Community Manager, Alfresco Software.
Problem solved? Click Accept as Solution!
Highlighted
Established Member

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

I have installed Alfresco 6.0.7 using the link :http://alfrescoeasy.blogspot.com/2019/02/install-alfresco-content-service-60-on.html.

At step 20 i have installed postgresql instead Mysql .

And i have manually installed tomcat and postgresql.

And started tomcat and postgresql using the commands:

root@dmsjupro:/opt/tomcat/bin# ./startup.sh
Using CATALINA_BASE: /opt/tomcat
Using CATALINA_HOME: /opt/tomcat
Using CATALINA_TMPDIR: /opt/tomcat/temp
Using JRE_HOME: /usr
Using CLASSPATH: /opt/tomcat/bin/bootstrap.jar:/opt/tomcat/bin/tomcat-juli.jar
Tomcat started.

 

 

root@dmsjupro:/etc/init.d# ./postgresql start
[ ok ] Starting postgresql (via systemctl): postgresql.service.

 

But while opening localhost:8080/share/page/ in browser i am getting error as in the image as attached here.

PicPic

@EddieMay  will you please look at this. Please let me know where i am doing an mistake. Please help me installing alfresco version 6.

Highlighted
Community Manager
Community Manager

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

Hi @akash251998,

Are there any entries in either the tomcat or alfresco log files?  If so please add them here.

Also can you post your alfresco.global properties file?

Can you connect to postgres from the command line - are you sure it's running correctly?

Did you install ImageMagik as per step 21 in the blog? And then Solr step 22? 

Cheers,

 

ps - any reason why you're installing 6.0 rather than the latest, 6.2?

Digital Community Manager, Alfresco Software.
Problem solved? Click Accept as Solution!
Highlighted
Established Member

Re: Error while installing Alfresco-search-services 1.3

Jump to solution

No i had installed Imagebrick manually then done the step 22. And there is no tomcat and log files.

How to connect to postgresql using command line i am doing the installation on ubuntu 18.04.

Alfresco-global-properties:-

#
# Set this property unless you have explicitly chosen to expose some repository APIs without authentication

index.subsystem.name=solr6
solr.secureComms=none
solr.port=8983

#
# Custom content and index data location
#
dir.root=/home/dmsju/alf_install/acs/alf_data
dir.keystore=${dir.root}/keystore

#
# Sample database connection properties
#
db.username=alfresco
db.password=alfresco

#
# Choose DB connection properties for your database, e.g. for PostgreSQL
#
db.driver=org.postgresql.Driver
db.url=jdbcSmiley Tongueostgresql://localhost:5432/alfresco

db.pool.max=275
db.pool.validate.query=SELECT 1

#
# URL Generation Parameters (The ${localname} token is replaced by the local server name)
#-------------
alfresco.context=alfresco
alfresco.host=localhost
alfresco.port=8080
alfresco.protocol=http

share.context=share
share.host=localhost
share.port=8080
share.protocol=http


# External executable locations #
alfresco-pdf-renderer.root=/home/dmsju/alf_install/acs/alfresco-pdf-renderer
alfresco-pdf-renderer.exe=${alfresco-pdf-renderer.root}/alfresco-pdf-renderer